# Uses of Class
org.jmol.util.Vibration

Packages that use Vibration
Package
Description
org.jmol.api
org.jmol.modelset
org.jmol.util
org.jmol.viewer

## Uses of Vibration in org.jmol.api

Methods in org.jmol.api that return Vibration
Modifier and Type
Method
Description
`Vibration`
JmolModulationSet.`getVibration(boolean forceNew)`

## Uses of Vibration in org.jmol.modelset

Fields in org.jmol.modelset declared as Vibration
Modifier and Type
Field
Description
`Vibration`
AtomCollection.`vib`
`Vibration[]`
AtomCollection.`vibrations`
Methods in org.jmol.modelset that return Vibration
Modifier and Type
Method
Description
`Vibration`
AtomCollection.`getVibration(int atomIndex, boolean forceNew)`
`Vibration`
Atom.`getVibrationVector()`
`Vibration`
AtomCollection.`setAtomVibrationVector(int atomIndex, T3 vib)`

## Uses of Vibration in org.jmol.util

Subclasses of Vibration in org.jmol.util
Modifier and Type
Class
Description
`class`
`ModulationSet`
A class to group a set of modulations for an atom as a "vibration" Extends V3 so that it will be a displacement, and its value will be an occupancy
Fields in org.jmol.util declared as Vibration
Modifier and Type
Field
Description
`Vibration`
ModulationSet.`vib`
vib is a spin vector when the model has modulation; otherwise an unmodulated vibration.
Methods in org.jmol.util that return Vibration
Modifier and Type
Method
Description
`Vibration`
ModulationSet.`getVibration(boolean forceNew)`
`Vibration`
Vibration.`setType(int type)`
Methods in org.jmol.util with parameters of type Vibration
Modifier and Type
Method
Description
`static Atom`
Vibration.`find(ModelSet modelSet, BS bs, Vibration v0)`
`ModulationSet`
ModulationSet.`setMod(String id, P3 r00, P3 r0, int d, Lst<Modulation> mods, M3 gammaE, Matrix[] factors, SymmetryInterface symmetry, int nOps, int iop, Vibration v, boolean isCommensurate)`
A collection of modulations for a specific atom.

## Uses of Vibration in org.jmol.viewer

Methods in org.jmol.viewer with parameters of type Vibration
Modifier and Type
Method
Description
`T3`
TransformManager.`getVibrationPoint(Vibration v, T3 pt, float scale)`
return
`P3i`
TransformManager.`transformPtVib(P3 ptXYZ, Vibration v)`
RENDERERS ONLY
`P3i`
TransformManager.`transformPtVibSafe(P3 ptXYZ, Vibration v)`